#!/usr/local/bin/node
'use strict'
const program = require('commander');
const pkg = require('../package.json');
const path = require('path');
const JamServer = require('./lib/jam-server');
program
  .version(pkg.version);

program
  .command('initialize')
  .alias('init')
  .description('start the server')
  .option('-p, --port <portNumber>', 'which port to run the server on')
  .option('-f, --factories <factoriesPath>', 'directory to search for factories')
  .option('-d, --data <dataPath>', 'directory to store the data')
  .action(function(options) {
    let serverOptions = {
      portNumber: options.port || 3000,
      factoriesPath: options.factories ||  'factories',
      dataPath: options.data || 'data'
    };
    let jamServer = new JamServer(serverOptions);
    jamServer.createConfigFile();
  });

program
  .command('serve')
  .alias('server')
  .description('start the server')
  .option('-p, --port <portNumber>', 'which port to run the server on')
  .option('-f, --factories <factoriesPath>', 'directory to search for factories')
  .option('-d, --data <dataPath>', 'directory to store the data')
  .action(function(options) {
    let serverOptions = {
      portNumber: options.port || 3000,
      factoriesPath: options.factories ||  'factories',
      dataPath: options.data || 'data'
    };
    let jamServer = new JamServer(serverOptions);
    jamServer.startWebServer();
  });

program.parse(process.argv);
